﻿using Syncfusion.XForms.DataForm;
using Syncfusion.XForms.DataForm.Editors;
using System;
using System.Collections.Generic;
using System.Text;
using Xamarin.Forms;

namespace DataForm
{
    public class CustomTextEditor : DataFormTextEditor
    {
        public CustomTextEditor(SfDataForm dataForm) : base(dataForm)
        {
        }

        protected override void OnCommitValue(Entry view)
        {
            DataFormItem dataformItem = null;

            if (!(view.Parent is DataFormItemView))
            {
                var parentView = view.Parent.Parent.Parent as DataFormItemTextInputLayout;
                dataformItem = parentView.GetType().GetProperty("DataFormItem", System.Reflection.BindingFlags.Instance | System.Reflection.BindingFlags.NonPublic).GetValue(parentView) as DataFormItem;
            }
            else
            {
                var parentView = view.Parent as DataFormItemView;
                dataformItem = parentView.DataFormItem;
            }
            var value = this.DataForm.ItemManager.GetValue(dataformItem);
            if (!dataformItem.IsReadOnly)
            {
                base.OnCommitValue(view);
            }
        }
    }

}
