﻿using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;
using System.Globalization;
using System.Linq;
using System.Reflection;
using Xamarin.Forms;

namespace DataForm
{
    public class DataFormViewModel
    {
        private EmployeeForm form;


        public EmployeeForm Form
        {
            get { return form; }
            set
            {
                form = value;
            }
        }

        public enum Role
        {
            Manager,
            Staff,
            Other
        }

        public Role Designation { get; set; }

        public DataFormViewModel()
        {
            this.form = new EmployeeForm();
        }
    }
    public class EnumToLocalizeConverted : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return GetDescription((Enum)value);
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return value;
        }
        public static string GetDescription(Enum en)
        {
            Type type = en.GetType();
            MemberInfo[] memInfo = type.GetMember(en.ToString());
            if (memInfo != null && memInfo.Length > 0)
            {
                object[] attrs = memInfo[0].GetCustomAttributes(typeof(DescriptionAttribute), false);
                if (attrs != null && attrs.Length > 0)
                {
                    return ((DescriptionAttribute)attrs[0]).Description;
                }
            }
            return en.ToString();
        }
    }

}
